
// this sky must be compiled with Q3Map2 2.5.11 or later using -skyfix

textures/yotoon/sky
{
	qer_editorimage textures/yotoon/sky_arc_masked.tga
	
	q3map_sunExt 1 1 1 150 -35 25 2 12
	
	q3map_lightRGB 0.9 0.96 1.0
	q3map_lightmapFilterRadius 0 64
	q3map_skyLight 60 3
	
	//surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	
	skyparms textures/yotoon/env/sky 1024 -
	
	nopicmip
	nomipmaps
	
	{
		map textures/yotoon/sky_clouds.tga
		tcMod scale 3 3
		tcMod scroll 0.005 -0.0125
		rgbGen identityLighting
	}
	{
		map textures/yotoon/sky_arc_masked.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		tcMod transform 0.25 0 0 0.25 0.1075 0.1075
		rgbGen identityLighting
	}
}

// LIGHT

textures/yotoon/dawhite
{
	qer_editorimage textures/yotoon/dawhite.blend.tga
	q3map_lightimage textures/yotoon/dawhite.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	{
		map textures/yotoon/dawhite.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/yotoon/dawhite.blend.tga
		blendfunc add
	}
}

textures/yotoon/dayellow
{
	qer_editorimage textures/yotoon/dayellow.blend.tga
	q3map_lightimage textures/yotoon/dayellow.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	{
		map textures/yotoon/dayellow.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/yotoon/dayellow.blend.tga
		blendfunc add
	}
}

textures/yotoon/daorange
{
	qer_editorimage textures/yotoon/daorange.blend.tga
	q3map_lightimage textures/yotoon/daorange.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	{
		map textures/yotoon/daorange.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/yotoon/daorange.blend.tga
		blendfunc add
	}
}

textures/yotoon/dared
{
	qer_editorimage textures/yotoon/dared.blend.tga
	q3map_lightimage textures/yotoon/dared.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	{
		map textures/yotoon/dared.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/yotoon/dared.blend.tga
		blendfunc add
	}
}

// GLASS

textures/yotoon/mrksglass
{
	qer_editorimage textures/yotoon/cosdglass.tga
 	qer_trans .5
 	surfaceparm trans
 	surfaceparm nolightmap 
	cull disable
        {
                  map textures/yotoon/cosdglass.tga
                  tcGen environment
                  tcMod turb 0 0.01 0 0.01
                  tcmod scroll .0 .0
                  blendfunc add
        }
}

// FADES

textures/yotoon/bas33HA_fade
{
	qer_editorimage textures/yotoon/bas33HA_fade.tga
	surfaceparm trans	
    surfaceparm nomarks	
    surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm nomipmaps
	{
		map textures/yotoon/bas33HA_fade.tga
		alphaGen vertex
		blendFunc blend
    }
}

textures/yotoon/black_fade
{
	qer_editorimage textures/yotoon/cretebase5_fade.tga
	surfaceparm trans	
    surfaceparm nomarks	
    surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm nomipmaps
	{
		map textures/yotoon/cretebase5_fade.tga
		alphaGen vertex
		blendFunc blend
    }
}

// SKY

textures/yotoon/sky_restnormal
{
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_sunExt 1 .5 0 75 350 20 2 16
	q3map_skyLight 135 4
	qer_editorimage env/restnormal/restnormal_ft.jpg
	skyparms env/restnormal/restnormal - -
}

textures/yotoon/sun
{ 
    cull disable
	surfaceparm nonsolid	
	surfaceparm nomarks	
	surfaceparm nolightmap 
	deformVertexes autosprite
	{
		clampmap textures/yotoon/sun.jpg
		tcmod rotate 8
		blendFunc add
		rgbGen identity
	}
}

textures/yotoon/mrkssky
{
	qer_editorimage textures/yotoon/gray.jpg
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_skylight 20 3
	q3map_sun 1 1 1 30 90 90
	{
		map	textures/yotoon/gray.jpg
	}
}

// FOG

textures/yotoon/blackfog
{
	qer_editorimage textures/sfx/fog_black.tga
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm	nolightmap
	q3map_bouncescale 0.0
	q3map_surfacelight 100
	fogparms ( 0 0 0 ) 1024
}

textures/yotoon/bluefog
{
	qer_editorimage textures/sfx/fog_blue.jpg
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm	nolightmap
	q3map_bouncescale 0.0
	q3map_surfacelight 100
	fogparms ( 0.6 0.7 1 ) 8192
}

// OTHER

textures/yotoon/snowflakes
{
	qer_editorimage textures/yotoon/snowflakes.tga
	surfaceparm trans	
    surfaceparm nomarks	
    surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	surfaceparm nomipmaps
        nopicmip
	{
		map textures/yotoon/snowflakes.tga
		tcMod Scroll -0.3 0
        blendFunc blend
		alphaGen vertex
        }
}

textures/yotoon/stripes
{
	qer_editorimage textures/yotoon/stripes.tga
	surfaceparm trans	
    surfaceparm nomarks	
    surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	surfaceparm nomipmaps
        nopicmip
	{
		map textures/yotoon/stripes.tga
        blendFunc blend
		alphaGen vertex
        }
}

textures/yotoon/stripes_anim
{
	qer_editorimage textures/yotoon/stripes.tga
	surfaceparm trans	
    surfaceparm nomarks	
    surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	surfaceparm nomipmaps
        nopicmip
	{
		map textures/yotoon/stripes.tga
		tcMod Scroll -0.3 0
        blendFunc blend
		alphaGen vertex
        }
}

textures/yotoon/arrow
{
	qer_editorimage textures/yotoon/arrow.tga
	surfaceparm trans	
    surfaceparm nomarks	
    surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	surfaceparm nomipmaps
        nopicmip
	{
		map textures/yotoon/arrow.tga
        blendFunc blend
		alphaGen vertex
        }
}

textures/yotoon/arrow_line
{
	qer_editorimage textures/yotoon/arrow_line.tga
	surfaceparm trans	
    surfaceparm nomarks	
    surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	surfaceparm nomipmaps
        nopicmip
	{
		map textures/yotoon/arrow_line.tga
        blendFunc blend
		alphaGen vertex
        }
}

// oTHER

textures/yotoon/icon_rocket
{
	qer_editorimage textures/yotoon/iconw_rocket.tga
	surfaceparm trans	
    surfaceparm nomarks	
    surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	surfaceparm nomipmaps
        nopicmip
	{
		map textures/yotoon/iconw_rocket.tga
        blendFunc blend
		alphaGen vertex
        }
}

// PORTAL SLICK
textures/yotoon/concrete_floor1
{
	surfaceparm slick
	
	{
		map textures/yotoon/concrete_floor1.tga
	}
}

textures/yotoon/concrete_floor2
{
	surfaceparm slick
	
	{
		map textures/yotoon/concrete_floor1.tga
	}
}

textures/yotoon/concrete_floor3
{
	surfaceparm slick
	
	{
		map textures/yotoon/concrete_floor1.tga
	}
}

textures/yotoon/glass_playerclip
{
	qer_editorimage textures/base_wall/shiny3.tga
        surfaceparm trans
        surfaceparm playerclip	
	cull none
	qer_trans 	0.6
     
        {
		map textures/effects/tinfx.tga
                tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
           
}

textures/yotoon/glass_dark
{
	qer_editorimage textures/base_wall/shiny3.tga
        surfaceparm trans	
	cull none
	qer_trans 	0.8
     
        {
		map textures/yotoon/tinfx.tga
                tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
           
}

textures/yotoon/glass_darkest
{
	qer_editorimage textures/base_wall/shiny3.tga
        surfaceparm trans	
	cull none
	qer_trans 	0.8
     
        {
		map textures/effects/tinfx.tga
        tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
           
}

textures/yotoon/glass_darkest_slick
{
	qer_editorimage textures/base_wall/shiny3.tga
    surfaceparm trans
	surfaceparm slick
	cull none
	qer_trans 	0.8
     
        {
		map textures/effects/tinfx.tga
                tcgen environment
		blendFunc filter
		rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
           
}

textures/yotoon/gray_playerclip
{
	qer_editorimage textures/yotoon/gray_playerclip.tga
        surfaceparm playerclip
        {
        map	textures/yotoon/gray_playerclip.tga
	}
        {
	map $lightmap
	rgbGen identity
        }
        {
	map textures/yotoon/gray_playerclip.tga
	blendFunc GL_DST_COLOR GL_ZERO
	rgbGen identity
        } 
}

textures/yotoon/xlightgreyfog
{
qer_editorimage textures/sfx/fog_grey.tga
surfaceparm	trans
surfaceparm	nonsolid
surfaceparm	fog
surfaceparm	nolightmap
qer_nocarve
fogparms ( 0.7 0.7 0.7 ) 128

}

textures/yotoon/fog_restnormal
{
		qer_editorimage textures/yotoon/fog.jpg
		surfaceparm	trans
		surfaceparm	nonsolid
		surfaceparm	fog
		surfaceparm	nolightmap
		fogparms ( .997 .985 .863 ) 1024

}